local M = {}

local BurglarAlarm = nil
local Blip = nil
local isOnBurglarAlarm = 1
local play_time = 0.5
local timer = -1
local function onInit()
	BurglarAlarm = BurglarAlarm or sounds.createSoundscapeSound("BurglarAlarm")
	Blip = Blip or sounds.createSoundscapeSound("Blip")
end

local function updateGFX(dt)
if BurglarAlarm == nil then
else

if toggle_func == 1 then
	if isOnBurglarAlarm == 1 then
		isOnBurglarAlarm = 0
		gui.message("Now burglar alarm is OFF")
		if electrics.values.hazard == 1 then
			electrics.toggle_warn_signal()
		end
	elseif isOnBurglarAlarm == 0 then
		isOnBurglarAlarm = 1
		gui.message("Now burglar alarm is ON")
	end
	toggle_func = 0
end
if electrics.values.wheelspeed > 14 and isOnBurglarAlarm == 1 then
	isOnBurglarAlarm = 0
	gui.message("You're driving over 50km/h, burglar alarm turned off.")
end
if isOnBurglarAlarm == 1 then
	if electrics.values.engineRunning == 0 and beamstate.damage > currentDamage and electrics.values.toggleburglaralarm == 0 then
		if electrics.values.hazard == 0 then
			electrics.toggle_warn_signal()
		end
		obj:setVolume(BurglarAlarm, 15)
		obj:playSFX(BurglarAlarm)
		alarmIsPlaying = 1
	else
		if Blip ~= nil then
		if electrics.values.toggleburglaralarm == -1 then
			obj:setVolume(Blip, 15)
			obj:playSFX(Blip)
			timer = 0
		end
		if timer > play_time then
			obj:setVolume(Blip, 0)
			obj:cutSFX(Blip)
			timer = -1
		end
		if timer ~= -1 then
			timer = timer + dt
		end
		end
		if electrics.values.hazard == 1 and alarmIsPlaying == 1 then
			electrics.toggle_warn_signal()
			alarmIsPlaying = 0
		end
		obj:setVolume(BurglarAlarm, 0)
		obj:cutSFX(BurglarAlarm)
		currentDamage = beamstate.damage
		electrics.values.toggleburglaralarm = 0
	end
else
	obj:setVolume(BurglarAlarm, 0)
	obj:cutSFX(BurglarAlarm)
	if Blip ~= nil then
	obj:setVolume(Blip, 0)
	obj:cutSFX(Blip)
	end
	alarmIsPlaying = 0
end
end
end

M.onInit    = onInit
M.updateGFX = updateGFX

return M